package com.ruoyi.test.seriver;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.test.domain.DO.PaperCreateDO;
import com.ruoyi.test.domain.ExamPaper;
import com.ruoyi.test.domain.TeacherManageClass;
import com.ruoyi.test.domain.TeacherSubject;
//import com.ruoyi.test.domain.Vo.ExamCreateVo;

import java.util.List;

public interface IExamPaperService {
    //查询试卷列表
    IPage<ExamPaper> selectAll(int pagenum,int pagesize);
    //根据年级查询试卷列表
    IPage<ExamPaper> selectByGrate(int pagenum,String grate);
    //根据学科查询试卷列表
    IPage<ExamPaper> selectBySubject(int pagenum,String subject);
    //根据id查询试卷列表
    IPage<ExamPaper> selectById(int pagenum,Long id);

//    List<ExamCreateVo> selectPaperCreate(String type,String name,String content);

    //通过学科和年级获取id
    Long selectIdBySubjectAndGrade(String subject,String grade);

    Long selectIdBySubjectAndGradeAndName(String subject,String grade,String name);

    //通过类型和名字查询试卷
    Long selectId(PaperCreateDO paperCreateDO);

    //添加试卷
    int addPaperExam(PaperCreateDO paperCreateDO);

//    List<ExamPaper> totalExamPaper(List<TeacherManageClass> list, List<TeacherSubject> list2);

    ExamPaper selectById(Long id);

    List<ExamPaper> selectBySubject(String subject);

    IPage<ExamPaper> selectByGrateAndSubjectAndId(int pagenum,int pagesize,String grade,String subject,Long id);

}
